#include <bits/stdc++.h>
using namespace std;

int main() {
	char c1, c2;
	int a, b;
	
	cin>>c1>>c2;
	cin>>a>>b;
	
	if(abs(a-b) > 1) printf("nemoguce");
	else {
		if(a >= b) {
			for(int i=0;i<a+b;i++) {
				if (i%2==0) printf("%c", c1);
				else printf("%c", c2);
			}
		} else {
			for(int i=0;i<a+b;i++) {
				if (i%2==0) printf("%c", c2);
				else printf("%c", c1);
			}
		}
	}
}